<?php

declare(strict_types=1);

namespace Drupal\paragraph_lineage;

/**
 * Interface for the Paragraph Lineage settings service.
 */
interface ParagraphLineageSettingsServiceInterface {

  /**
   * Get the preferred theme for displaying a paragraph.
   */
  public function getPreferredThemeId(): string;

  /**
   * Set the preferred theme for displaying a paragraph.
   *
   * @param string $theme
   *   The machine name of the theme to set as preferred.
   * */
  public function setPreferredThemeId(string $theme): void;

}
